Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt.image
Interface BufferedImageOp

All Known Implementing Classes:
  LookupOp, ConvolveOp, AffineTransformOp, ColorConvertOp, RescaleOp

public interface BufferedImageOp

This interface describes single-input/single-output operations performed on BufferedImage objects. It is implemented by such classes as AffineTransformOp, ConvolveOp, BandCombineOp, and LookupOp. These objects can be passed into a BufferedImageFilter to operate on a BufferedImage in the ImageProducer-ImageFilter-ImageConsumer paradigm. This interface cannot be used to describe more sophisticated Ops such as ones that take multiple sources. Each class implementing this interface will specify whether or not it will allow an in-place filtering operation (i.e. source object equal to the destination object). Note that the restriction to single-input operations means that the values of destination pixels prior to the operation are not used as input to the filter operation.

See Also:
  `BufferedImage`, `BufferedImageFilter`, `AffineTransformOp`, `BandCombineOp`, `ColorConvertOp`, `ConvolveOp`, `LookupOp`, `RescaleOp`

Method Summary
`BufferedImage` | `createCompatibleDestImage(BufferedImage src, ColorModel destCM)` Creates a zeroed destination image with the correct size and number of bands.
`BufferedImage` | `filter(BufferedImage src, BufferedImage dest)` Performs a single-input/single-output operation on a BufferedImage.
`Rectangle2D` | `getBounds2D(BufferedImage src)` Returns the bounding box of the filtered destination image.
`Point2D` | `getPoint2D(Point2D srcPt, Point2D dstPt)` Returns the location of the destination point given a point in the source image.
`RenderingHints` | `getRenderingHints()` Returns the rendering hints for this BufferedImageOp.

Method Detail

### filter

    public BufferedImage filter(BufferedImage src,
                                BufferedImage dest)

  Performs a single-input/single-output operation on a BufferedImage. If the color models for the two images do not match, a color conversion into the destination color model will be performed. If the destination image is null, a BufferedImage with an appropriate ColorModel will be created. The IllegalArgumentException may be thrown if the source and/or destination image is incompatible with the types of images allowed by the class implementing this filter.

### getBounds2D

    public Rectangle2D getBounds2D(BufferedImage src)

  Returns the bounding box of the filtered destination image. The IllegalArgumentException may be thrown if the source image is incompatible with the types of images allowed by the class implementing this filter.

### createCompatibleDestImage

    public BufferedImage createCompatibleDestImage(BufferedImage src,
                                                   ColorModel destCM)

  Creates a zeroed destination image with the correct size and number of bands. The IllegalArgumentException may be thrown if the source image is incompatible with the types of images allowed by the class implementing this filter.
  Parameters:
    `src` - Source image for the filter operation.
    `destCM` - ColorModel of the destination. If null, the ColorModel of the source will be used.

### getPoint2D

    public Point2D getPoint2D(Point2D srcPt,
                              Point2D dstPt)

  Returns the location of the destination point given a point in the source image. If dstPt is non-null, it will be used to hold the return value.

### getRenderingHints

    public RenderingHints getRenderingHints()

  Returns the rendering hints for this BufferedImageOp. Returns null if no hints have been set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.